| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
EndpointSecurityAttributes Struct Reference

`#include <EndpointSecurityAttributes.hpp>`

## Public Member Functions

| EndpointSecurityAttributes ()
| EndpointSecurityAttributes (const EndpointSecurityAttributesMask mask)
EndpointSecurityAttributesMask | mask () const
bool | match (const EndpointSecurityAttributesMask remoteMask, const PluginEndpointSecurityAttributesMask remotePluginMask) const

## Public Attributes

bool | is_read_protected
bool | is_write_protected
bool | is_discovery_protected
bool | is_liveliness_protected
bool | is_submessage_protected
bool | is_payload_protected
bool | is_key_protected
PluginEndpointSecurityAttributesMask | plugin_endpoint_attributes

## Constructor & Destructor Documentation

## ◆ EndpointSecurityAttributes() [1/2]

EndpointSecurityAttributes | ( |  | ) |

inline

## ◆ EndpointSecurityAttributes() [2/2]

EndpointSecurityAttributes | ( | const EndpointSecurityAttributesMask | mask | ) |

inline explicit

## Member Function Documentation

## ◆ mask()

EndpointSecurityAttributesMask mask | ( |  | ) | const

## ◆ match()

bool match | ( | const EndpointSecurityAttributesMask | remoteMask,
|  | const PluginEndpointSecurityAttributesMask | remotePluginMask ) const

## Member Data Documentation

## ◆ is_discovery_protected

bool is_discovery_protected

## ◆ is_key_protected

bool is_key_protected

## ◆ is_liveliness_protected

bool is_liveliness_protected

## ◆ is_payload_protected

bool is_payload_protected

## ◆ is_read_protected

bool is_read_protected

## ◆ is_submessage_protected

bool is_submessage_protected

## ◆ is_write_protected

bool is_write_protected

## ◆ plugin_endpoint_attributes

PluginEndpointSecurityAttributesMask plugin_endpoint_attributes

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/attributes/EndpointSecurityAttributes.hpp